<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.all</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        Module&nbsp;all
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== MODULE DESCRIPTION ==================== -->
<h1 class="epydoc">Module all</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.all-pysrc.html">source&nbsp;code</a></span></p>
<p>Convenience module containing most important objects from pyxmpp package.</p>
<p>Suggested usage::
import pyxmpp.all</p>
<p>(imports all important names into pyxmpp namespace)</p>

<!-- ==================== VARIABLES ==================== -->
<a name="section-Variables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Variables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="__package__"></a><span class="summary-name">__package__</span> = <code title="'pyxmpp'"><code class="variable-quote">'</code><code class="variable-string">pyxmpp</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="name"></a><span class="summary-name">name</span> = <code title="'tls_available'"><code class="variable-quote">'</code><code class="variable-string">tls_available</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
</table>
<p class="indent-wrapped-lines"><b>Imports:</b>
  <a href="pyxmpp-module.html" title="pyxmpp">pyxmpp</a>,
  <a href="pyxmpp.stream.Stream-class.html" title="pyxmpp.stream.Stream">Stream</a>,
  <a href="pyxmpp.exceptions.StreamError-class.html" title="pyxmpp.streambase.StreamError">StreamError</a>,
  <a href="pyxmpp.exceptions.FatalStreamError-class.html" title="pyxmpp.streambase.FatalStreamError">FatalStreamError</a>,
  <a href="pyxmpp.exceptions.StreamParseError-class.html" title="pyxmpp.streambase.StreamParseError">StreamParseError</a>,
  <a href="pyxmpp.exceptions.StreamEncryptionRequired-class.html" title="pyxmpp.streamtls.StreamEncryptionRequired">StreamEncryptionRequired</a>,
  <span title="pyxmpp.streamtls.tls_available">tls_available</span>,
  <a href="pyxmpp.streamtls.TLSSettings-class.html" title="pyxmpp.streamtls.TLSSettings">TLSSettings</a>,
  <a href="pyxmpp.clientstream.ClientStream-class.html" title="pyxmpp.clientstream.ClientStream">ClientStream</a>,
  <a href="pyxmpp.exceptions.ClientStreamError-class.html" title="pyxmpp.clientstream.ClientStreamError">ClientStreamError</a>,
  <a href="pyxmpp.client.Client-class.html" title="pyxmpp.client.Client">Client</a>,
  <a href="pyxmpp.exceptions.ClientError-class.html" title="pyxmpp.client.ClientError">ClientError</a>,
  <a href="pyxmpp.iq.Iq-class.html" title="pyxmpp.iq.Iq">Iq</a>,
  <a href="pyxmpp.presence.Presence-class.html" title="pyxmpp.presence.Presence">Presence</a>,
  <a href="pyxmpp.message.Message-class.html" title="pyxmpp.message.Message">Message</a>,
  <a href="pyxmpp.jid.JID-class.html" title="pyxmpp.jid.JID">JID</a>,
  <a href="pyxmpp.exceptions.JIDError-class.html" title="pyxmpp.jid.JIDError">JIDError</a>,
  <a href="pyxmpp.roster.Roster-class.html" title="pyxmpp.roster.Roster">Roster</a>,
  <a href="pyxmpp.roster.RosterItem-class.html" title="pyxmpp.roster.RosterItem">RosterItem</a>,
  <a href="pyxmpp.exceptions.BadRequestProtocolError-class.html" title="pyxmpp.exceptions.BadRequestProtocolError">BadRequestProtocolError</a>,
  <a href="pyxmpp.exceptions.ComponentStreamError-class.html" title="pyxmpp.exceptions.ComponentStreamError">ComponentStreamError</a>,
  <a href="pyxmpp.exceptions.DNSError-class.html" title="pyxmpp.exceptions.DNSError">DNSError</a>,
  <a href="pyxmpp.exceptions.Error-class.html" title="pyxmpp.exceptions.Error">Error</a>,
  <a href="pyxmpp.exceptions.FatalClientError-class.html" title="pyxmpp.exceptions.FatalClientError">FatalClientError</a>,
  <a href="pyxmpp.exceptions.FatalClientStreamError-class.html" title="pyxmpp.exceptions.FatalClientStreamError">FatalClientStreamError</a>,
  <a href="pyxmpp.exceptions.FatalComponentStreamError-class.html" title="pyxmpp.exceptions.FatalComponentStreamError">FatalComponentStreamError</a>,
  <a href="pyxmpp.exceptions.FeatureNotImplementedProtocolError-class.html" title="pyxmpp.exceptions.FeatureNotImplementedProtocolError">FeatureNotImplementedProtocolError</a>,
  <a href="pyxmpp.exceptions.HostMismatch-class.html" title="pyxmpp.exceptions.HostMismatch">HostMismatch</a>,
  <a href="pyxmpp.exceptions.JIDMalformedProtocolError-class.html" title="pyxmpp.exceptions.JIDMalformedProtocolError">JIDMalformedProtocolError</a>,
  <a href="pyxmpp.exceptions.LegacyAuthenticationError-class.html" title="pyxmpp.exceptions.LegacyAuthenticationError">LegacyAuthenticationError</a>,
  <a href="pyxmpp.exceptions.ProtocolError-class.html" title="pyxmpp.exceptions.ProtocolError">ProtocolError</a>,
  <a href="pyxmpp.exceptions.RegistrationError-class.html" title="pyxmpp.exceptions.RegistrationError">RegistrationError</a>,
  <a href="pyxmpp.exceptions.SASLAuthenticationFailed-class.html" title="pyxmpp.exceptions.SASLAuthenticationFailed">SASLAuthenticationFailed</a>,
  <a href="pyxmpp.exceptions.SASLMechanismNotAvailable-class.html" title="pyxmpp.exceptions.SASLMechanismNotAvailable">SASLMechanismNotAvailable</a>,
  <a href="pyxmpp.exceptions.SASLNotAvailable-class.html" title="pyxmpp.exceptions.SASLNotAvailable">SASLNotAvailable</a>,
  <a href="pyxmpp.exceptions.StreamAuthenticationError-class.html" title="pyxmpp.exceptions.StreamAuthenticationError">StreamAuthenticationError</a>,
  <a href="pyxmpp.exceptions.StringprepError-class.html" title="pyxmpp.exceptions.StringprepError">StringprepError</a>,
  <a href="pyxmpp.exceptions.TLSError-class.html" title="pyxmpp.exceptions.TLSError">TLSError</a>,
  <a href="pyxmpp.exceptions.TLSNegotiatedButNotAvailableError-class.html" title="pyxmpp.exceptions.TLSNegotiatedButNotAvailableError">TLSNegotiatedButNotAvailableError</a>,
  <a href="pyxmpp.exceptions.TLSNegotiationFailed-class.html" title="pyxmpp.exceptions.TLSNegotiationFailed">TLSNegotiationFailed</a>,
  <a href="pyxmpp.exceptions.UnexpectedCNAMEError-class.html" title="pyxmpp.exceptions.UnexpectedCNAMEError">UnexpectedCNAMEError</a>,
  <span title="logging">logging</span>
</p><br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:34:57 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
